import java.io.File;

import org.eclipse.swt.widgets.Shell;
import org.mozilla.interfaces.nsIBaseWindow;
import org.mozilla.interfaces.nsIComponentManager;
import org.mozilla.interfaces.nsIDOMDocument;
import org.mozilla.interfaces.nsIServiceManager;
import org.mozilla.interfaces.nsIWebBrowser;
import org.mozilla.interfaces.nsIWebBrowserChrome;
import org.mozilla.interfaces.nsIWebNavigation;
import org.mozilla.interfaces.nsIWindowCreator2;
import org.mozilla.interfaces.nsIWindowWatcher;
import org.mozilla.xpcom.GREVersionRange;
import org.mozilla.xpcom.Mozilla;


public class MozTest {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		Mozilla mozilla = Mozilla.getInstance();
		GREVersionRange[] range = new GREVersionRange[1];
		range[0] = new GREVersionRange("1.8.0", true, "1.9", true);

		try {
			File grePath = Mozilla.getGREPathWithProperties(range, null);
			LocationProvider locProvider = new LocationProvider(grePath);
			mozilla.initialize(grePath);
			mozilla.initEmbedding(grePath, grePath, locProvider);
			System.out.println("Completed mozilla initialization");
			
			nsIServiceManager svManager = mozilla.getServiceManager();
			nsIComponentManager cpManager = mozilla.getComponentManager();
			nsIWebBrowser browser = (nsIWebBrowser) cpManager.createInstanceByContractID("@mozilla.org/embedding/browser/nsWebBrowser;1", null, nsIWebBrowser.NS_IWEBBROWSER_IID);
			System.out.println("got browser: " + browser);
			
			nsIWindowCreator2 windowCreator = (nsIWindowCreator2) cpManager.createInstanceByContractID("@mozilla.org/toolkit/app-startup;1", null, nsIWindowCreator2.NS_IWINDOWCREATOR2_IID);
			nsIWindowWatcher windowWatcher = (nsIWindowWatcher)svManager.getServiceByContractID("@mozilla.org/embedcomp/window-watcher;1", nsIWindowWatcher.NS_IWINDOWWATCHER_IID);
			nsIWebBrowserChrome chrome = windowCreator.createChromeWindow(null, nsIWebBrowserChrome.CHROME_DEFAULT);
			windowWatcher.setWindowCreator(windowCreator);
			browser.setContainerWindow(chrome);
			System.out.println("Chrome set");

			Shell s = new Shell();
			int handle = s.handle;
			nsIBaseWindow baseWindow = (nsIBaseWindow) browser.queryInterface(nsIBaseWindow.NS_IBASEWINDOW_IID);
			baseWindow.initWindow(handle, 0, 0, 0, 1, 1);
			baseWindow.create();
			baseWindow.setVisibility(false);
			System.out.println("created window " + baseWindow);
			
			nsIWebNavigation webNav = (nsIWebNavigation) browser.queryInterface(nsIWebNavigation.NS_IWEBNAVIGATION_IID);
			webNav.loadURI("http://www.google.com", nsIWebNavigation.LOAD_FLAGS_NONE, null, null, null);
			nsIDOMDocument doc = webNav.getDocument();
			System.out.println("got document: " + doc);
			
			mozilla.termEmbedding();
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

}
