// Common javascript methods that can be used
// by ia2 and msaa javascript validation

//******************************************************************************
// Copyright (c) 2004, 2007 IBM Corporation.
// All rights reserved. This program and the accompanying materials
// are made available under the terms of the Eclipse Public License v1.0
// which accompanies this distribution, and is available at
// http://www.eclipse.org/legal/epl-v10.html
//
// Contributors:
//Mike Squillace - initial API and implementation
//******************************************************************************/ 

importPackage(Packages.java.lang)

function isNonEmptySet (s) {
	var result = false;

	if ( ne( s, null ) ) {
		result = gt( s.size(), 0 );
	}	
	//return s is not None and s.size() > 0
	return result;
}
	    
function hasAbnormalLabelLength ( element ) {
	var result = false;
	
	try {
		var s = String( element.getAccessibleName() );
		result = ( lt(s.length, 40) );
	} catch( exc ) {
		result = false;
	}
	
	//try:
	//  s = element.getAccessibleName()
	//  if ( lt(len(s), 40) ):
	//    result = 1
	//except:
	//  result = 0    
	return result;
}
	    
function isFocusable (accStateVal) {
	var result = false;

	if ( ne( accStateVal, null ) ) {
		var notVisible = ( accStateVal.contains('visible') == -1 );
		var notEnabled = ( accStateVal.contains('enabled') == -1 );
		var isFocusable = ( ge(accStateVal.contains('focusable'), 0) );
		
		result = or( or( notVisible, notEnabled), isFocusable );
	}
	//    return \
    //    accStateVal.contains('visible') == -1 \
    //      or accStateVal.contains('enabled') == -1 \
    //        or ge(accStateVal.contains('focusable'), 0)
	return result;
}

function printInfo ( msaa ) {
	outLine = pval( msaa,"Role" ) + ":";
	outLine = outLine + pval( msaa,"Name" ) + ":";
	outLine = outLine + pval( msaa,"State" ) + ":";
	outLine = outLine + pval( msaa,"Value" ) + ":";
	outLine = outLine + pval( msaa,"KeyboardShortcut" ) + ":";
	outLine = outLine + pval( msaa,"Element" ) + ":";
	outLine = outLine + pval( msaa,"Children" ) + ":";
	outLine = outLine + pval( msaa,"Action" ) + ":";
	outLine = outLine + pval( msaa,"Description" ) + ":";
	outLine = outLine + pval( msaa,"Relations" );
	System.out.println( outLine );
	return true;
}
	    
	        	   
function pval( msaa, cmd ) {
	var result = '';
	      
	try {
		if ( msaa == null ) {
			result = "MSAA";
		} else if ( cmd == "Role" ) {
			result = msaa.getAccessibleRole();
		} else if ( cmd == "Name" ) {
			result = msaa.getAccessibleName();
		} else if ( cmd == "State" ) {
			result = msaa.getAccessibleState().toString();
		} else if ( cmd == "Value" ) {
			result = msaa.getAccessibleValue();
		} else if ( cmd == "Element" ) {
			element = msaa.getElement();
			if ( element == null ) {
				result = "NOELEMENT";
			} else {
				result = element.getClass().getName();
			}
		} else if ( cmd == "Children" ) {
			childCount = msaa.getAccessibleChildCount();
			//result = "%i-Children" % childCount;
			result = childCount + "-Children";
		} else if ( cmd == "KeyboardShortcut" ) {
			result = msaa.getAccessibleKeyboardShortcut();
		} else if ( cmd == "Action" ) {
			result = msaa.getAccessibleAction();
		} else if ( cmd == "Description" ) {
			result = msaa.getAccessibleDescription();
		} else if ( cmd == "Relations" ) {
			relations = msaa.getAccessibleRelations();
			if ( relations == null ) {
				result = "null relations"
			} else {
				relCount = relations.size();
				//result = "%i-Relations" % relCount;
				result =  relCount + "-Relations";
			}
		} else {
			result = "NARG";
		}
	        
		if ( result == null ) {
			result = "NULL";
		}
	        
		if ( result == "" ) {
			result = "BLNK" ;
		}
	        
	} catch (exc) {
		result = "EXCP";
		if ( not("Relations".equals( cmd )) ) {
			System.out.println( "EXCP *** "+cmd+" - "+exc );
		}
	}
     	      
	return result;
}
	        	      
