/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  Mike Squillace - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.accservice;

import java.io.Serializable;

import org.eclipse.actf.model.event.IModelEventListener;


public interface IAccessibilityEventService extends Serializable
{
	static final long serialVersionUID = -8127562007783656376L;
	/**
	 * add a listener to be notified of accessibility events
	 * 
	 * @param listener
	 * @param eventTypes type of event (which may be <code>null</code> for some 
	 * accessibility event APIs that do not support such functionality)
	 */
	public void addAccessibilityEventListener (IModelEventListener listener, Object[] eventTypes, Object[] params);

	/**
	 * remove a previously added listener
	 * 
	 * @param listener
	 * @param eventTypes
	 */
	public void removeAccessibilityEventListener (IModelEventListener listener, Object[] eventTypes);

}
