/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
* Ann Ford - initial API and implementation
*******************************************************************************/ 
package org.eclipse.actf.accservice.core;

import org.eclipse.actf.model.InvalidComponentException;
import org.eclipse.actf.model.traverse.filters.INodeFilter;


/**
 * This filter will exclude items.  
 * If you wish to show all items,
 * remove it, or do not set it in the first place.
 * @author annford
 *
 */
public class AccessibleNodeItemFilter implements INodeFilter
{
		
	public boolean pass (Object node) {
		boolean item = false;
		if (node instanceof IAccessibleElement){
			IAccessibleElement acc = (IAccessibleElement)node;
			try {
				String role = acc.getAccessibleRole();
				if (role != null) {
					item = role.indexOf(AccessibleConstants.ROLE_LIST_ITEM) >= 0
							|| role.indexOf(AccessibleConstants.ROLE_MENU_ITEM) >= 0
							|| role.indexOf(AccessibleConstants.ROLE_TREEITEM) >= 0
							|| role.indexOf(AccessibleConstants.ROLE_TABITEM) >= 0;
				}
			}catch (InvalidComponentException e) {
			}
		}
		return !item;
	}
	
}
