/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  <a href="mailto:masquill@us.ibm.com>Mike Squillace</a> - initial API and implementation
*******************************************************************************/ 


package org.eclipse.actf.accservice.core.win32.ia2;

import org.eclipse.actf.accservice.core.win32.msaa.MsaaAccessible;
import org.eclipse.actf.accservice.core.win32.msaa.MsaaWindowService;
import org.eclipse.actf.model.InvalidComponentException;


/**
 * @author <a href="mailto:masquill@us.ibm.com>Mike Squillace</a>
 *
 */
public class IA2WindowService extends MsaaWindowService
{

	private static final long serialVersionUID = -4191226662163560401L;

	/**
	 * not to be used by clients; made public so that native code can reference
	 * 
	 * @param hwnd
	 * @throws InvalidComponentException
	 */
	protected void windowCallback (int hwnd) throws InvalidComponentException {
		IA2Accessible ca = new IA2Accessible(hwnd, MsaaAccessible.childId_self);
		fireTopLevelWindowEvent(ca);
	}

}
