/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  wscarter - initial API and implementation
*******************************************************************************/ 
/**
 * 
 */
package org.eclipse.actf.accservice.javapp;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.eclipse.actf.accservice.IAccessibilityEventService;
import org.eclipse.actf.accservice.IWindowService;
import org.eclipse.actf.model.event.IModelEventListener;


/**
 * @author wscarter
 *
 */
public class JavaAccessibilityEventService implements IAccessibilityEventService
{
	protected static Map _listenerMap = new HashMap();
	protected Map _hookMap = new HashMap();
	protected IWindowService _windowService;
	
	public JavaAccessibilityEventService (IWindowService windowService) {
		_windowService = windowService;
	}
	
	public void addAccessibilityEventListener(IModelEventListener listener, Object[] eventTypes, Object[] params) {
		}
	
	/** {@inheritDoc} */
	public void removeAccessibilityEventListener(IModelEventListener listener, Object[] eventTypes) {
		for (int i = 0; i < eventTypes.length; ++i) {
			Integer eventId = (Integer) eventTypes[i];
			List listeners = (List) _listenerMap.get(eventId);
			if (listeners != null) {
				listeners.remove(listener);
				if (listeners.isEmpty()) {
					_listenerMap.remove(eventId);
					// removeWinEventHook(((Integer) _hookMap.get(eventId)).intValue());
					_hookMap.remove(eventId);
				}
			}
		}
	}
}
