/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  wscarter - initial API and implementation
*******************************************************************************/ 
/**
 * 
 */
package org.eclipse.actf.accservice.javapp;

import java.util.LinkedList;
import java.util.List;

import org.eclipse.actf.accservice.IWindowService;
import org.eclipse.actf.accservice.event.TopLevelWindowEventListener;


/**
 * @author wscarter
 *
 */
public class JavaWindowService implements IWindowService
{
	
	private List listenerList = new LinkedList();

	/** {@inheritDoc} */
	public Object[] getTopLevelWindows() {
		return new Object[0];
	}

	public Object getActiveWindow () {
		return null;
	}
	
	/**
	 * add a listener to be notified of creation and destruction of top-level native windows
	 * 
	 * @param listener
	 */
	public void addTopLevelWindowListener (TopLevelWindowEventListener listener) {
		if (listener != null) {
			listenerList.add(listener);
		}
	}
	
	/**
	 * remove a previously added top-level window listener
	 * 
	 * @param listener
	 */
	public void removeTopLevelWindowListener (TopLevelWindowEventListener listener) {
		listenerList.remove(listener);
	}
	
	public int getCurrentProcessId () {
		return -1;
	}
	
	public int getProcessId (Object window) {
		return -1;
	}
	
	public void setActiveWindow (Object window) {
	}
	
}
