/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  Mike Squillace - initial API and implementation
*******************************************************************************/ 


package org.eclipse.actf.accservice.mozdom;

import org.eclipse.actf.accservice.AccessibilityServiceException;
import org.eclipse.actf.accservice.IAccessibilityEventService;
import org.eclipse.actf.accservice.IAccessibilityService;
import org.eclipse.actf.accservice.IWindowService;
import org.eclipse.actf.accservice.core.IAccessibleElement;
import org.eclipse.actf.model.InvalidComponentException;

/**
 * an accessibility service for Java XPCOM and Mozilla
 * 
 * @author Mike Squillace
 *
 */
public class MozillaAccessibilityService implements IAccessibilityService
{

	public static final String MOZILLA_ACCSERVICE_NAME = "mozilla";
	
	/** {@inheritDoc} */
	public IAccessibleElement createAccessibleElement (Object obj, Object[] params) throws InvalidComponentException {
		return new MozillaAccessible(obj);
	}

	/** {@inheritDoc} */
	public IAccessibilityEventService getAccessibilityEventService () {
		// TODO Auto-generated method stub
		return null;
	}

	public Object[] getTopLevelWindows () {
		return new Object[0];
	}

	/** {@inheritDoc} */
	public IWindowService getWindowService () {
		return null;
	}

	public void initialize () throws AccessibilityServiceException {
	}
	
}
