/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  Mike Squillace - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.model.javapp.locate;

import java.awt.Component;

import org.apache.commons.jxpath.ri.compiler.NodeTest;
import org.apache.commons.jxpath.ri.model.NodePointer;
import org.eclipse.actf.model.IModel;
import org.eclipse.actf.model.locate.BaseNodeIterator;

public class SwingNodeIterator extends BaseNodeIterator
{

	private Component component;
	
	public SwingNodeIterator(NodePointer parent, NodeTest nodeTest,
    						 boolean reverse, NodePointer startWith, IModel model) {
        super(parent, nodeTest, reverse, startWith, model);
		this.component = (Component) parent.getNode();
    }

    public NodePointer getNodePointer() {
        if (position == 0) {
            setPosition(1);
        }
        return child == null ? null : new SwingNodePointer((Component) child, parent, null);
    }

 }
