/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  Mike Squillace - initial API and implementation
*******************************************************************************/ 
package org.eclipse.actf.validation;

public final class ValidationConstants {

	/**
	 * pool id for validation-related parameters - value is 'validation'
	 */
	public static final String VALIDATION_ID = "validation";

	/* path-related properties */
	public static final String ACTF_LIB_PATH_KEY = "actf.lib.path";

	public static final String ACTF_CLASSPATH_KEY = "actf.class.path";

	public static final String OS_CLASSPATH_KEY = "open.source.class.path";

	public static final String SCRIPTLANG_CLASSPATH_KEY = "scriptlang.class.path";

	public static final String CODE_PROCESSOR_CLASSPATH_KEY = "processor.class.path";

	public static final String JAVA_CLASSPATH_KEY = "javalang.class.path";


	/* validation related keys */
	public static final String PERFORMING_VALIDATION_KEY = "performing.validation";

	public static final String REVALIDATING_COMPONENTS_KEY = "revalidating.components";
	
	public static final String CREATION_CONTEXTS_PROCESSING_KEY = "revalidating.components";

	/** key used to notify validation threads of termination */
	public static final String VALIDATION_TERMINATED_KEY = "actf.terminate.validation";

	public static final String REPORTER_LEVEL_KEY = "actf.reporter.level";

	public static final String VALIDATE_HIDDEN_KEY = "validate.hidden";

	public static final String RULEBASE_MAP = "rulebase_map";

	public static final String DEFAULT_RULEBASE_MAP_FILE = "rulebases";

}
