/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  Mike Squillace - initial API and implementation
*******************************************************************************/ 
package org.eclipse.actf.validation.mozdom.staticweb;

import org.eclipse.actf.validation.ValidationCorePlugin;
import org.osgi.framework.BundleContext;


/**
 * The ModelJavaCorePlugin class controls the plug-in life cycle
 */
public class MozillaValidationPlugin extends ValidationCorePlugin
{
	
	
	public static final String MODEL_WEB_CORE_JAR =  "MozillaValidationcore.jar";
	public static final String MODEL_WEB_UI_JAR =  "MozillaValidationui.jar";	
	// The plug-in ID

	public static final String WEBCORE_PLUGIN_ID = "org.eclipse.actf.validation.mozdom.staticweb";

	// The shared instance
	private static MozillaValidationPlugin plugin;

	/**
	 * The constructor
	 */
	public MozillaValidationPlugin() {
		super();
		plugin = this;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.core.runtime.Plugins#start(org.osgi.framework.BundleContext)
	 */
	public void start(BundleContext context) throws Exception {
		super.start(context);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.core.runtime.Plugin#stop(org.osgi.framework.BundleContext)
	 */
	public void stop(BundleContext context) throws Exception {
		plugin = null;
		super.stop(context);
	}

	/**
	 * Returns the shared instance
	 * 
	 * @return the shared instance
	 */
	public static MozillaValidationPlugin getDefault() {
		return plugin;
	}

	public String getPluginId() {
		return WEBCORE_PLUGIN_ID;
	}

}


