/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  Mike Squillace - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.mozdom.staticweb.ui;

import org.eclipse.actf.model.mozdom.MozdomModelPlugin;
import org.eclipse.actf.validation.mozdom.staticweb.MozillaValidationPlugin;
import org.eclipse.actf.validation.ui.AbstractValidationUIPlugin;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.ui.IWorkbenchWindow;
import org.osgi.framework.BundleContext;


/**
 * The main plugin class to be used in the desktop.
 */
public class MozillaValidationUIPlugin extends AbstractValidationUIPlugin
{

	public static final String UI_PLUGIN_ID = "org.eclipse.actf.validation.mozdom.staticweb.ui";
	public static final String DEFAULT_IMAGE_NAME = "actf.gif";
	public static final String UI_TRACE_FILE = "ui_trace.out";

	// The shared instance.
	private static MozillaValidationUIPlugin plugin;

	public String getPluginId () {
		return UI_PLUGIN_ID;
	}

	protected String getTraceOptionId () {
		return UI_PLUGIN_ID + "/debug/trace";
	}

	protected String getDebugOptionId () {
		return UI_PLUGIN_ID + "/debug";
	}

	protected String getLogOptionId () {
		return UI_PLUGIN_ID + "/debug/log";
	}
	
	protected String getDefaultImageName() {
		return DEFAULT_IMAGE_NAME;
	}
	
	protected String getValidationTraceFile() {
		return UI_TRACE_FILE;
	}

	/**
	 * The constructor.
	 */
	public MozillaValidationUIPlugin () {
		super();
		plugin = this;
	}
	
	/**
	 * This method is called upon plug-in activation
	 */
	public void start (BundleContext context) throws Exception {
		MozillaValidationPlugin.getDefault();
		// Be sure to register bundles and load plugins before starting
		// to be sure resources can be found
		super.start(context);
		MozdomModelPlugin.getDefault();
	}
	
	/**
	 * This method is called when the plug-in is stopped
	 */
	public void stop (BundleContext context) throws Exception {
		super.stop(context);
	}
	public Shell getShell () {
		Shell result = null;
		IWorkbenchWindow window = getDefault().getWorkbench().getActiveWorkbenchWindow();
		if (window != null) {
			result = window.getShell();
		}
		return result;
	}

	/**
	 * Returns the shared instance.
	 */
	public static MozillaValidationUIPlugin getDefault () {
		return plugin;
	}
}
