/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  Mike Squillace - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.mozdom.staticweb.ui.browser;

import java.net.URI;

import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.ui.IEditorInput;
import org.eclipse.ui.IFileEditorInput;
import org.eclipse.ui.IPersistableElement;

public class MozillaBrowserEditorInput implements IEditorInput
{

	private String _url;

	public MozillaBrowserEditorInput (String url) {
		setUrl(url);
	}

	public MozillaBrowserEditorInput (IFileEditorInput input) throws Exception {
		//setUrl(input.getFile().getLocationURI().toURL().toString());
		// getLocationURI is only valid in 3.2 - we need to do someing compatible with 3.1
		String path = "file:/" + input.getFile().getLocation().toString();
		String pathNew = path.replaceAll(" ", "%20"); //fix for bug 214
		URI uri = new URI(pathNew);
		setUrl(uri.toURL().toString());
	}

	public String getUrl () {
		return _url;
	}

	public void setUrl (String url) {
		_url = url;
	}

	public boolean exists () {
		return _url != null;
	}

	public ImageDescriptor getImageDescriptor () {
		return ImageDescriptor.getMissingImageDescriptor();
	}

	public String getName () {
		return _url.substring(_url.lastIndexOf('/') + 1);
	}

	public String getToolTipText () {
		return _url;
	}

	public Object getAdapter (Class adapter) {
		return null;
	}

	public boolean equals (Object that) {
		return that instanceof MozillaBrowserEditorInput
				&& ((MozillaBrowserEditorInput) that).getUrl().equals(getUrl());
	}

	public int hashCode () {
		return _url.hashCode();
	}

	public IPersistableElement getPersistable () {
		return null;
	}
}
