/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  Mike Squillace - initial API and implementation
*******************************************************************************/ 


package org.eclipse.actf.validation.mozdom.staticweb.ui.browser;

import java.net.URL;

import org.eclipse.actf.validation.mozdom.staticweb.ui.MozillaValidationConstants;
import org.eclipse.actf.validation.ui.jobs.ValidationJob;
import org.eclipse.ui.IWorkbenchPage;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.PlatformUI;
import org.eclipse.ui.ide.IDE;

public class MozillaValidationJob extends ValidationJob
{

	public static final String WEB_VALIDATION_JOB_NAME = "Web Validation";
	
	private URL url;
	
	public MozillaValidationJob (URL url) {
		super(WEB_VALIDATION_JOB_NAME);
		this.url = url;
	}
	
	protected void preValidation () throws Exception {
		MozillaBrowserEditorInput editorInput = new MozillaBrowserEditorInput(url.toExternalForm());
		IDE.openEditor(getActivePage(), editorInput, MozillaValidationConstants.ACTF_MOZILLA_BROWSER_EDITOR_ID);
	}
	
	protected IWorkbenchPage getActivePage () {
		IWorkbenchPage page = null;
		IWorkbenchWindow window = PlatformUI.getWorkbench().getActiveWorkbenchWindow();
		if (window != null) {
			page = window.getActivePage();
		}
		return page;
	}

	public void initialize(Object obj) throws Exception {
	}

	protected void reset() throws Exception {
		configureReportInstance();
	}
		
}
