/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  barryf - initial API and implementation
*******************************************************************************/ 
/*
 * Created on May 10, 2005
 *
 */

package org.eclipse.actf.validation.ui;

/**
 * @author barryf
 *
 */
public interface IErrorHandler
{

	/**
	 * Process an info message.
	 * @param message Message to display
	 */
	void handleInfo (String message);

	/**
	 * Process a warning message.
	 * @param message Message to display
	 */
	void handleWarning (String message);

	/**
	 * Process an error message.
	 * @param message Message to display
	 * @return <code>&gt; 0</code> if recomend processing to continue; <codee>= 0</code>if no input on continuing; <code>&lt; 0</code> if recomend processing should end
	 */
	int handleError (String message);

	/**
	 * Process an exception.
	 * @param message Message to display (may be null)
	 * @param t Execption to process
	 * @return <code>&gt; 0</code> if recomend processing to continue; <code>= 0</code>if no input on continuing; <code>&lt; 0</code> if recomend processing should end
	 */
	int handleException (String message, Throwable t);
}
