/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  Mike Squillace - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.ui;

public final class ValidationUIConstants
{

	// *** All ids should match plugin.xml ids ***
	// view ids


	public static final String REPORT_VIEW_ID = "org.eclipse.actf.validation.ui.views.ReportView";

	public static final String ACTF_RUNTIME_VIEW_ID = "org.eclipse.actf.validation.ui.views.RuntimeView";

	public static final String CONSOLE_VIEW_NAME = "ACTF";

	public static final String REPORT_TREE_VIEW_ID = "org.eclipse.actf.validation.ui.views.ReportManagerView";


	// markers
	public static final String VALIDATION_MARKER_ID = "org.eclipse.actf.validation.ui.validationMarker";

	/*
	 * dialog settings keys
	 * These values are used to retrieve dialog settings
	 */
	// report severities 
	public static final String KEY_SEVERITY_FILTERS_SAVED = "severity_filters_saved";

	public static final String KEY_SEV_CONFIG = "CONFIG";

	public static final String KEY_SEV_DETAIL = "DETAIL";

	public static final String KEY_SEV_INFO = "INFO";

	public static final String KEY_SEV_WARNING = "WARNING";

	public static final String KEY_SEV_ERROR = "ERROR";

	public static final String KEY_SEV_SEVERE = "SEVERE";

	// report manager view
	public static final String KEY_SHOW_INACTIVE_REPORT = "inactive";

	public static final String KEY_REPORT_SCOPE = "scope";

	public static final String KEY_TOOL_SCOPE_VALUE = "tool_scope_value";

	public static final String KEY_SOURCE_SCOPE_VALUE = "source_scope_value";

	// action ids

	public static final String REPORT_VIEW_CLIPBOARD_ACTION = "org.eclipse.actf.validation.ui.actions.CopyToClipboardAction";

	public static final String REPORT_VIEW_EXPORT_ACTION = "org.eclipse.actf.validation.ui.actions.ExportReportAction";

	// Report Tree View Image IDs
	public static final String USER_ICON_ID = "user-icon";

	public static final String REPORT_GROUP_ICON = "group-icon";

	public static final String REPORT_ICON_ID = "report-icon";

	public static final String RECORD_ICON_ID = "record-icon";

	public static final String DB_REPORT_ICON_ID = "db-report-icon";

	// Report Tree View sort dialog settings
	public static final String KEY_REPORT_SORT_BY = "report_tree_sort_by";

	public static final String KEY_REPORT_SORT_ORDER = "report_tree_sort_order";

	//Report view sort dialog settings
	public static final String KEY_REPORT_RECORD_SORT_BY = "report_record_sort_by";

	public static final String KEY_REPORT_RECORD_SORT_ORDER = "report_record_sort_order";

	// RuleViewer image IDS
	public static final String HORIZONTAL_ICON_ID = "horizontal-icon";
	public static final String VERTICAL_ICON_ID = "vertical-icon";
	public static final String COLLAPSE_ALL_ICON_ID = "collapse-all-icon";
	public static final String EXPAND_ALL_ICON_ID = "expand-all-icon";
}
