/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  Mike Squillace - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.ui.actions;

import org.eclipse.actf.validation.ui.ValidationUiPlugin;
import org.eclipse.actf.validation.ui.dialogs.ReportFilterDialog;
import org.eclipse.actf.validation.ui.views.ReportView;
import org.eclipse.jface.action.IAction;
import org.eclipse.jface.dialogs.IDialogConstants;
import org.eclipse.swt.widgets.Shell;


public class ReportFilterAction extends AbstractAction
{

	public ReportFilterAction () {
		super();
	}

	public void run (IAction action) {
		if (view instanceof ReportView) {
			ReportView rv = (ReportView) view;
			Shell shell = ValidationUiPlugin.getDefault().getWorkbench().getActiveWorkbenchWindow().getShell();
			ReportFilterDialog dialog = new ReportFilterDialog(shell, rv);
			if (dialog.open() == IDialogConstants.OK_ID) {
				rv.updateView();
			}
		}
	}
}
