/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  Mike Squillace - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.ui.actions;

import org.eclipse.actf.validation.reports.ValidationReport;
import org.eclipse.actf.validation.ui.ValidationUiPlugin;
import org.eclipse.actf.validation.ui.dialogs.ReportPropertiesDialog;
import org.eclipse.actf.validation.ui.views.ReportManagerView;
import org.eclipse.jface.action.IAction;
import org.eclipse.jface.dialogs.IDialogConstants;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.swt.widgets.Shell;


/*
 * This action is intended to be invoked as an ObjectContribution on a ValidationReportRecord.
 */
public class ShowReportPropertiesAction extends AbstractAction
{

	public ShowReportPropertiesAction () {
		super();
	}

	public void run (IAction action) {
		if (activePart instanceof ReportManagerView) {
			ReportManagerView rv = (ReportManagerView) activePart;
			Shell shell = ValidationUiPlugin.getDefault().getWorkbench().getActiveWorkbenchWindow().getShell();
			if (selection != null && !selection.isEmpty()) {
				ValidationReport report = selection != null ? (ValidationReport) ((IStructuredSelection) selection).getFirstElement()
						: null;
				if (report != null) {
					ReportPropertiesDialog reportDialog = new ReportPropertiesDialog(shell, report, rv);
					if (reportDialog.open() == IDialogConstants.OK_ID) {
						rv.refresh();
						return;
					}
				}
			}
		}
	}
}
