/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  Mike Squillace - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.ui.actions;

import org.eclipse.actf.validation.reports.CreationContext;
import org.eclipse.actf.validation.reports.ValidationReportRecord;
import org.eclipse.actf.validation.ui.ValidationUiPlugin;
import org.eclipse.actf.validation.ui.dialogs.BaseRecordDetailsDialog;
import org.eclipse.actf.validation.ui.dialogs.ReportRecordDetailsDialog;
import org.eclipse.actf.validation.ui.views.ReportView;
import org.eclipse.jface.action.IAction;
import org.eclipse.jface.dialogs.IDialogConstants;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.swt.widgets.Shell;


/*
 * This action is intended to be invoked as an ObjectContribution on a ValidationReportRecord.
 */
public class ShowReportRecordAction extends AbstractAction
{

	public ShowReportRecordAction () {
		super();
	}

	public void run (IAction action) {
		if (activePart instanceof ReportView) {
			ReportView rv = (ReportView) activePart;
			Shell shell = ValidationUiPlugin.getDefault().getWorkbench().getActiveWorkbenchWindow().getShell();
			if (selection != null && !selection.isEmpty()) {
				ValidationReportRecord selectedRecord = selection != null ? (ValidationReportRecord) ((IStructuredSelection) selection).getFirstElement() : null;
				if (selectedRecord != null) {
					String recordId = selectedRecord.getNodeId();
					CreationContext context = rv.getCreationContext(recordId);
					ReportRecordDetailsDialog recordDialog = new ReportRecordDetailsDialog(shell, BaseRecordDetailsDialog.REPORT_TITLE, null, selectedRecord, context);
					if (recordDialog.open() == IDialogConstants.OK_ID) { return; }
				}
			}
		}
	}
}
