/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  Mike Squillace - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.ui.filters;

import org.eclipse.actf.validation.reports.ValidationReport;
import org.eclipse.jface.viewers.Viewer;
import org.eclipse.jface.viewers.ViewerSorter;


public class ReportManagerViewerSorter extends ViewerSorter
{


	public static final int SOURCE = 0;

	public static final int TIMESTAMP = 1;

	private int sortingField = -1;

	private boolean ascending = true;

	public boolean isSorterProperty (Object element, String property) {
		return true;
	}

	public int compare (Viewer viewer, Object e1, Object e2) {
		String o1 = null, o2 = null;
		ValidationReport r1 = (ValidationReport) e1;
		ValidationReport r2 = (ValidationReport) e2;
		switch (sortingField) {
		
		case SOURCE:
			o1 = r1.getSource();
			o2 = r2.getSource();
			break;
		case TIMESTAMP:
			o1 = r1.getTimestamp().toString();
			o2 = r2.getTimestamp().toString();
			break;
		}
		if (ascending) {
			return o1.compareTo(o2);
		}else {
			return o2.compareTo(o1);
		}
	}

	/**
	 * @param field
	 * @param direction
	 * 	
	 */
	public void setSortingField (int field, boolean direction) {
		sortingField = field;
		ascending = direction;
	}
}
