/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  Mike Squillace - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.ui.providers;

import org.eclipse.jface.viewers.ITableLabelProvider;
import org.eclipse.jface.viewers.LabelProvider;
import org.eclipse.swt.graphics.Image;

public class RuntimeLabelProvider extends LabelProvider
	implements ITableLabelProvider
{

	public static final int LABEL_COL = 0;

	public static final int MESSAGE_COL = 1;

	public RuntimeLabelProvider () {
		super();
	}

	public String getColumnText (Object element, int index) {
		String result = "";
		if (element instanceof RuntimeToggle) {
			RuntimeToggle toggle = (RuntimeToggle) element;
			if (index == LABEL_COL) {
				result = toggle.getLabel();
			}else if (index == MESSAGE_COL) {
				result = toggle.isSelected() ? toggle.getEnabledMessage()
						: toggle.getDisabledMessage();
			}
		}
		return result;
	}

	public Image getColumnImage (Object element, int columnIndex) {
		return null;
	}
}
