/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  barryf - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.ui.views;

/**
 * @author barryf
 *
 */
public abstract class AbstractXRunnable implements IXRunnable
{

	/* (non-Javadoc)
	 * @see org.eclipse.actf.validation.ui.views.IXRunnable#run()
	 */
	public void run () throws Exception {
	}

	/* (non-Javadoc)
	 * @see org.eclipse.actf.validation.ui.views.IXRunnable#getResult()
	 */
	public Object getResult () {
		return result;
	}

	protected Object result;

	/* (non-Javadoc)
	 * @see org.eclipse.actf.validation.ui.views.IXRunnable#setResult(java.lang.Object)
	 */
	public void setResult (Object r) {
		result = r;
	}

	protected Exception ex;

	/* (non-Javadoc)
	 * @see org.eclipse.actf.validation.ui.views.IXRunnable#getException()
	 */
	public Exception getException () {
		return ex;
	}

	/* (non-Javadoc)
	 * @see org.eclipse.actf.validation.ui.views.IXRunnable#setException(java.lang.Exception)
	 */
	public void setException (Exception e) {
		ex = e;
		e.printStackTrace(System.err);
	}
}
