/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  barryf - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.ui.views;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * @author barryf
 *
 */
public class XmlNode
{

	// *** need to add icon ***
	protected XmlNode parent;

	public XmlNode getParent () {
		return parent;
	}

	protected List children = new ArrayList();

	public List getChildren () {
		return children;
	}

	public XmlNode[] getChildrenAsArray () {
		return (XmlNode[]) getChildren().toArray(new XmlNode[0]);
	}

	public boolean hasChildren () {
		return children.size() > 0;
	}

	public void addChild (XmlNode child) {
		children.add(child);
	}


	public int line = -1, column = -1;

	public String name;

	public String id;

	public Map attributes;

	public Object value;

	public static int count;

	public XmlNode (XmlNode parent, String name, Map attrs, Object value) {
		this(parent, name);
		this.attributes = attrs;
		this.value = value;
	}

	public XmlNode (XmlNode parent) {
		this(parent, "node" + ++count);
	}

	public XmlNode (XmlNode parent, String name) {
		this.parent = parent;
		this.name = name;
	}

	public String toString () {
		return getClass().getName() + '[' + name + (id != null ? ":" + id : "")
				+ paramString() + "," + attributes + "," + value + ","
				+ children.size() + "@" + line + ":" + column;
	}

	protected String paramString () {
		return "";
	}
}
